AddPreconfigurationTemplate
AddPreconfigurationTemplate
POST
/zstack/v1/baremetal/preconfigurationsOperation ID
AddPreconfigurationTemplateSince
3.4.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe name of the preconfigured template.
descriptionStringOptional. The detailed description of the template.
distributionStringRequiredThe distribution of the operating system.
typeStringRequiredThe type of the template.
contentStringRequiredThe content of the template.
resourceUuidStringOptional. The UUID of the template.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
